# XcodeRootExtension

API Documentation: | `XcodeRootExtension`

The configuration for mapping a C++ or Swift project to XCode project and workspace.

### Properties

Property | Description
`project` | The generated Xcode project for this Gradle project.
`workspace` | The generated Xcode workspace for this Gradle build.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `XcodeProject` `project` (read-only)

The generated Xcode project for this Gradle project.

#### `XcodeWorkspace` `workspace` (read-only)

The generated Xcode workspace for this Gradle build.